Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.scoringFunctions.directedGraphicalModels.structureLearning.measures
Class InhomogeneousMarkov.InhomogeneousMarkovParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet
              de.jstacs.scoringFunctions.directedGraphicalModels.structureLearning.measures.InhomogeneousMarkov.InhomogeneousMarkovParameterSet

All Implemented Interfaces:
  GalaxyConvertible, RangeIterator, Storable, Cloneable

Enclosing class:
  InhomogeneousMarkov

    public static class InhomogeneousMarkov.InhomogeneousMarkovParameterSet

extends InstanceParameterSet

Class for an `InstanceParameterSet` that defines the parameters of an `InhomogeneousMarkov` structure `Measure`.

Author:
  Jan Grau

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent, ranged`

Constructor Summary
`InhomogeneousMarkov.InhomogeneousMarkovParameterSet()` Creates a new `InhomogeneousMarkov.InhomogeneousMarkovParameterSet` with empty parameter values.
`InhomogeneousMarkov.InhomogeneousMarkovParameterSet(int order)` Creates a new `InhomogeneousMarkov.InhomogeneousMarkovParameterSet` with the parameter for the order set to `order`.
`InhomogeneousMarkov.InhomogeneousMarkovParameterSet(StringBuffer representation)` Creates a new `InhomogeneousMarkov.InhomogeneousMarkovParameterSet` from its XML representation as defined by the `Storable` interface.

Method Summary
`String` | `getInstanceComment()` Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.
`String` | `getInstanceName()` Returns the name of an instance of the class that can be constructed using this `ParameterSet`.
`int` | `getOrder()` Returns the order of the `InhomogeneousMarkov` structure measure as defined by this set of parameters.
`protected void` | `loadParameters()` Loads the parameters for this `ParameterSet`.

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`fromXML, getInstance, getInstanceClass, toXML`

Methods inherited from class de.jstacs.parameters.ParameterSet
`clone, fromGalaxy, getErrorMessage, getId, getIndex, getNumberOfParameters, getNumberOfValues, getParameterAt, getParent, hasDefaultOrIsSet, initParameterList, initParameterList, isAtomic, isRanged, makeRanged, next, parametersLoaded, propagateId, recieveId, replaceParametersWithRangedInstance, reset, resetToFirst, setParent, simplify, toGalaxy, valuesToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InhomogeneousMarkov.InhomogeneousMarkovParameterSet

    public InhomogeneousMarkov.InhomogeneousMarkovParameterSet()

  Creates a new `InhomogeneousMarkov.InhomogeneousMarkovParameterSet` with empty parameter values.

### InhomogeneousMarkov.InhomogeneousMarkovParameterSet

    public InhomogeneousMarkov.InhomogeneousMarkovParameterSet(int order)
                                                        throws Exception

  Creates a new `InhomogeneousMarkov.InhomogeneousMarkovParameterSet` with the parameter for the order set to `order`.

  Parameters:
    `order` - the order
  Throws:
    `Exception` - if the parameters could not be created or set

### InhomogeneousMarkov.InhomogeneousMarkovParameterSet

    public InhomogeneousMarkov.InhomogeneousMarkovParameterSet(StringBuffer representation)
                                                        throws NonParsableException

  Creates a new `InhomogeneousMarkov.InhomogeneousMarkovParameterSet` from its XML representation as defined by the `Storable` interface.

  Parameters:
    `representation` - the XML code as `StringBuffer`
  Throws:
    `NonParsableException` - if the XML representation could not be parsed

Method Detail

### getInstanceComment

    public String getInstanceComment()

  Description copied from class: `InstanceParameterSet`
  Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.

  Specified by:
    `getInstanceComment` in class `InstanceParameterSet`
  Returns:
    the comment of the class

### getInstanceName

    public String getInstanceName()

  Description copied from class: `InstanceParameterSet`
  Returns the name of an instance of the class that can be constructed using this `ParameterSet`.

  Specified by:
    `getInstanceName` in class `InstanceParameterSet`
  Returns:
    the name of the class

### getOrder

    public int getOrder()

  Returns the order of the `InhomogeneousMarkov` structure measure as defined by this set of parameters.

  Returns:
    the order

### loadParameters

    protected void loadParameters()
                           throws Exception

  Description copied from class: `ParameterSet`
  Loads the parameters for this `ParameterSet`. This is in most cases done by calling `ParameterSet.initParameterList()` or `ParameterSet.initParameterList(int)` to initialize `ParameterSet.parameters` and afterwards filling `ParameterSet.parameters` with instances of subclasses of `Parameter`.

  Specified by:
    `loadParameters` in class `ParameterSet`
  Throws:
    `Exception` - if the parameters could not be loaded
  See Also:
    `Parameter`, `ParameterSet.parameters`, `ParameterSet.initParameterList()`, `ParameterSet.initParameterList(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD